# ApplicationFramework
TKCAF
TPrsStd

# TPrsStd_DataMapOfGUIDDriver Class Reference

`#include <TPrsStd_DataMapOfGUIDDriver.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TPrsStd_DataMapOfGUIDDriver (const Standard_Integer NbBuckets=1)
Standard_EXPORT TPrsStd_DataMapOfGUIDDriver & | Assign (const TPrsStd_DataMapOfGUIDDriver &Other)
TPrsStd_DataMapOfGUIDDriver & | operator= (const TPrsStd_DataMapOfGUIDDriver &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TPrsStd_DataMapOfGUIDDriver ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_GUID &K, const Handle(TPrsStd_Driver)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_GUID &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_GUID &K)
Standard_EXPORT const Handle_TPrsStd_Driver & | Find (const Standard_GUID &K) const
const Handle_TPrsStd_Driver & | operator() (const Standard_GUID &K) const
Standard_EXPORT Handle_TPrsStd_Driver & | ChangeFind (const Standard_GUID &K)
Handle_TPrsStd_Driver & | operator() (const Standard_GUID &K)

## Private Member Functions

Standard_EXPORT | TPrsStd_DataMapOfGUIDDriver (const TPrsStd_DataMapOfGUIDDriver &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TPrsStd_DataMapOfGUIDDriver::TPrsStd_DataMapOfGUIDDriver | ( | const Standard_Integer | NbBuckets = `1` | ) |

TPrsStd_DataMapOfGUIDDriver::~TPrsStd_DataMapOfGUIDDriver | ( |  | ) | `[inline]`

Standard_EXPORT TPrsStd_DataMapOfGUIDDriver::TPrsStd_DataMapOfGUIDDriver | ( | const TPrsStd_DataMapOfGUIDDriver & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TPrsStd_DataMapOfGUIDDriver& TPrsStd_DataMapOfGUIDDriver::Assign | ( | const TPrsStd_DataMapOfGUIDDriver & | Other | ) |

Standard_EXPORT Standard_Boolean TPrsStd_DataMapOfGUIDDriver::Bind | ( | const Standard_GUID & | K,
|  | const Handle(TPrsStd_Driver)& | I
| ) |

Standard_EXPORT Handle_TPrsStd_Driver& TPrsStd_DataMapOfGUIDDriver::ChangeFind | ( | const Standard_GUID & | K | ) |

Standard_EXPORT void TPrsStd_DataMapOfGUIDDriver::Clear | ( |  | ) |

Standard_EXPORT const Handle_TPrsStd_Driver& TPrsStd_DataMapOfGUIDDriver::Find | ( | const Standard_GUID & | K | ) | const

Standard_EXPORT Standard_Boolean TPrsStd_DataMapOfGUIDDriver::IsBound | ( | const Standard_GUID & | K | ) | const

void TPrsStd_DataMapOfGUIDDriver::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TPrsStd_DataMapOfGUIDDriver::operator new | ( | size_t | size | ) | `[inline]`

void* TPrsStd_DataMapOfGUIDDriver::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_TPrsStd_Driver& TPrsStd_DataMapOfGUIDDriver::operator() | ( | const Standard_GUID & | K | ) | `[inline]`

const Handle_TPrsStd_Driver& TPrsStd_DataMapOfGUIDDriver::operator() | ( | const Standard_GUID & | K | ) | const`[inline]`

TPrsStd_DataMapOfGUIDDriver& TPrsStd_DataMapOfGUIDDriver::operator= | ( | const TPrsStd_DataMapOfGUIDDriver & | Other | ) | `[inline]`

Standard_EXPORT void TPrsStd_DataMapOfGUIDDriver::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TPrsStd_DataMapOfGUIDDriver::UnBind | ( | const Standard_GUID & | K | ) |

The documentation for this class was generated from the following file:

- TPrsStd_DataMapOfGUIDDriver.hxx